package checkers.nonnull;

import checkers.source.*;
import checkers.subtype.*;
import com.sun.source.tree.CompilationUnitTree;

/**
 * A type-checking visitor for the {@code @NonNull} type qualifier
 * that uses the {@link SubtypeVisitor} implementation.
 *
 * @see SubtypeVisitor
 */
public class NonnullVisitor extends SubtypeVisitor {

    /**
     * Creates a new visitor for type-checking {@code @NonNull}.
     *
     * @param checker the {@link SubtypeChecker} to use
     * @param root the root of the input program's AST to check
     */
    public NonnullVisitor(SubtypeChecker checker, CompilationUnitTree root) {
        super(checker, root);
    }
}
